lparameters tlLoadProfile

* Create a table we'll import records into.

close databases all
create table Test (Field1 C(5), Field2 C(5))

* Create the import object.

loImport = newobject('SFImport', 'SFImport.vcx')

* If we're loading a profile, do so.

if tlLoadProfile and file('profile.dbf')
	loImport.LoadProfile('profile')

* Set up the import object.

else
	loImport.cTableName = 'test.dbf'

* Create the import file object.

	loImport.oImportFile = newobject('SFImportFileSDF', 'SFImport.vcx')
	loImport.oImportFile.cFileName = 'Import.txt'

* Load the import file definition.

	loField = loImport.oImportFile.oFields.Add()
	loField.nStartPos = 1
	loField.nFieldLen = 5
	loField = loImport.oImportFile.oFields.Add()
	loField.nStartPos = 6
	loField.nFieldLen = 5

* Load the mappings.

	loMap = loImport.oMapping.Add('Field1')
	loMap.uImportField = 2
	loMap = loImport.oMapping.Add('Field2')
	loMap.uImportField = 1

* Save the profile so we can use it next time.

	loImport.SaveProfile('profile')
endif tlLoadProfile ...

* Do the import.

llSuccess = loImport.Import()
if llSuccess
	messagebox(transform(loImport.nRecordsImported) + ' records of ' + ;
		transform(loImport.nImportRecords) + ' imported')
	select Test
	browse
else
	messagebox(loImport.cErrorMessage)
endif llSuccess
